Invoices

Beta: List all invoices

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

finalized_at__gtestring · date-timeOptional

Filter invoices finalized after or at a certain date

Responses
chevron-right
200

Get successful

application/json
countintegerOptionalExample: 1
nextstring · nullableOptional
previousstring · nullableOptional
get
/invoices/
200

Get successful

Beta: Create a bare invoice

post
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
customer_to_invoice_idintegerRequired

Identifier of the invoiceable customer to invoice.

currencystring · enumOptional

Currency of the created invoice. Defaults to EUR.

Possible values:
Responses
post
/invoices/
201

Invoice created

Beta: Read an invoice

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstring · uuidRequired
Responses
chevron-right
200Success
application/json
uidstring · uuidOptional

uuid of this Invoice

Example: 687cddac-dbd2-11ea-9024-0242ac130006
description_templateobjectOptional

Ignore. Dashdoc technical data.

document_numberstringOptional

Invoice's number. It usually corresponds to the invoice's number defined in your invoicing tool.

Example: 20211125-11
statusstring · enumOptional

Indicate the status of the invoice

Default: draftPossible values:
due_datestring · date · nullableOptional

Due date of the invoice

Example: 2020-07-30
createdstring · date-timeOptional

Date of creation on our server

Example: 2020-12-22T15:31:39.26167Z
updatedstring · date-timeOptional

Last update on our server

transports_countintegerOptional

Number of transports linked to this invoice

Example: 2
remote_idstringOptional

The id of the invoice in your system.

Example: COMP_123_INV_1
invoicing_connectorobjectOptional

Ignore. Dashdoc technical data.

filestring · urlOptional

Invoice file path

Example: https://storage.googleapis.com/dashdoc-media/media/invoices/aabd42eb.png
invoicing_datestring · dateOptional

Date of invoicing

Example: 2022-05-24
finalized_atstring · date-timeOptional

Date of invoice finalization.

Example: 2021-12-14T18:23:44.648232Z
debtor_referencestringOptional

Pre-billing reference

Example: D_PreBillingREF1
total_pricestringOptional

Total price, excluding taxes

Example: 100.00
total_tax_amountstringOptional

Total taxes amount

Example: 100.00
get
/invoices/{uid}/
200Success

Beta: Partially update an invoice

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstring · uuidRequired
Body
fileobject · byteOptional

Invoice file content. Use content-type with multipart/form-data value to the header of the request to send a document.

document_numberstring · max: 64Optional

The invoice number

Example: ABC123
invoicing_datestring · dateOptional

Date of invoicing.

Example: 2022-05-24
debtor_referencestringOptional

Pre-billing reference. Can only be set for a draft invoice

Example: D_PreBillingREF1
Responses
chevron-right
200

Update successful

application/json
uidstring · uuidOptional

uuid of this Invoice

Example: 687cddac-dbd2-11ea-9024-0242ac130006
description_templateobjectOptional

Ignore. Dashdoc technical data.

document_numberstringOptional

Invoice's number. It usually corresponds to the invoice's number defined in your invoicing tool.

Example: 20211125-11
statusstring · enumOptional

Indicate the status of the invoice

Default: draftPossible values:
due_datestring · date · nullableOptional

Due date of the invoice

Example: 2020-07-30
createdstring · date-timeOptional

Date of creation on our server

Example: 2020-12-22T15:31:39.26167Z
updatedstring · date-timeOptional

Last update on our server

transports_countintegerOptional

Number of transports linked to this invoice

Example: 2
remote_idstringOptional

The id of the invoice in your system.

Example: COMP_123_INV_1
invoicing_connectorobjectOptional

Ignore. Dashdoc technical data.

filestring · urlOptional

Invoice file path

Example: https://storage.googleapis.com/dashdoc-media/media/invoices/aabd42eb.png
invoicing_datestring · dateOptional

Date of invoicing

Example: 2022-05-24
finalized_atstring · date-timeOptional

Date of invoice finalization.

Example: 2021-12-14T18:23:44.648232Z
debtor_referencestringOptional

Pre-billing reference

Example: D_PreBillingREF1
total_pricestringOptional

Total price, excluding taxes

Example: 100.00
total_tax_amountstringOptional

Total taxes amount

Example: 100.00
patch
/invoices/{uid}/
200

Update successful

Last updated

Was this helpful?